Search results from your query.
Categories:
Sort:
Imports EdmLib Public Class Class1 Implements IEdmAddIn5 Public name As String Public Sub GetAddInInfo(ByRef poInfo As EdmAddInInfo, poVault As IEdmVault5, poCmdMgr As IEdmCmdMgr5) Implements IEdmAddIn5.GetAddInInfo 'Specify add-in information poInfo.mbsAddInName = "My first add-in" poInfo.mbsCompany = "The name of my company" poInfo.mbsDescription = "This is a very nice add-in." poInfo.mlAddInVersion = 1 'Specify minimum version of SOLIDWORKS Enterprise PDM poInfo.mlRequiredVersionMajor = 5
SOLIDWORKS Forums
1 hour ago
Now, i delete all mates of selected component, but, the problem is,when i removed those mates, the direction of the component is changed. you should know that, from the begining i forced the direction of the mate withswMateAlignANTI_ALIGNED.
SOLIDWORKS Forums
1 hour ago
"Batch Add Item References Example (VB.NET)" (API-Help) Jive Software Version: 2018.10.0.1_jx, revision: 20181102150941.22e8dc7.release_2018.10.0-jx
SOLIDWORKS Forums
1 hour ago
Jive Software Version: 2018.10.0.1_jx, revision: 20181102150941.22e8dc7.release_2018.10.0-jx
SOLIDWORKS Forums
2 hours ago
I am having a hard time to make a circular pattern around a selected point (like what we do manually) through macro. However, the "createCircularSketchStepAndRepeat" treats the selected point as one of the targets which need to be patterned. Is it possible to set "point-1" as the centre of the circular pattern? (please refer to the following image)
SOLIDWORKS Forums
5 hours ago
I'm testing a find actions sample code(Refer Below) from SolidWorks help. Imports EdmLib Public Class Class1 Implements IEdmAddIn5 Public Sub GetAddInInfo(ByRef poInfo As EdmAddInInfo, poVault As IEdmVault5, poCmdMgr As IEdmCmdMgr5) Implements IEdmAddIn5.GetAddInInfo 'Specify add-in information poInfo.mbsAddInName = "My first add-in" poInfo.mbsCompany = "The name of my company" poInfo.mbsDescription = "This is a very nice add-in." poInfo.mlAddInVersion = 1 'Specify minimum version of SOLIDWORKS
SOLIDWORKS Forums
6 hours ago
Re: PDM Add-in loading Error Jive Software Version: 2018.10.0.1_jx, revision: 20181102150941.22e8dc7.release_2018.10.0-jx
SOLIDWORKS Forums
9 hours ago
UPDATE: Submit your ERs for this new functionality here:Bounding Cylinder (Round Stock) Add-In. These are not SW ERs, but Artem ERs.At least for now. Hello SOLIDWORKS Power-Users and welcome to the 17th SWPUC.
SOLIDWORKS Forums
17 hours ago
Solidworks macro I want to build a knitted fabric coil model, has been completed and recorded macro, now running error, inserted in the reference level this sentence error, I hope there are good people can help me!
SOLIDWORKS Forums
18 hours ago
x=0.075*cos(t) y=(0.568*t)/pi
SOLIDWORKS Forums
18 hours ago
I was wondering if anyone knew if there is something like an API programming reference for the “Dialogs” registry entries? I’m specifically interested in finding out if I can change a registry entry value to control the character automatically inserted in a dialog or table.
SOLIDWORKS Forums
19 hours ago
I am trying to useGetLinearizedStressValueswith some consistency through the API. However i have difficulty with getting the right coordinates to use. In thesamplethey just insert static coordinates. I have tried setting up some reference point/reference axis to get the coordinates.
SOLIDWORKS Forums
22 hours ago
So... How can you even know which instance you want in the top level? For example, if Sub-Assembly or Sub-Sub-Assembly has 2 instances, how do you know what you want?
SOLIDWORKS Forums
22 hours ago
Error while opening files But from last two weeks I am facing an issue while opening files (especially drawings and assemblies) in SolidWorks when it is launched through visual studio (while debugging).
SOLIDWORKS Forums
1 day ago
Jive Software Version: 2018.10.0.1_jx, revision: 20181102150941.22e8dc7.release_2018.10.0-jx
SOLIDWORKS Forums
1 day ago
i'm trying to translate a component in solidworks using vb.net with this algorithm : bRet = swDragOp.AddComponent(swComp, False)
SOLIDWORKS Forums
2 days ago
Credit for the original macro that I modified in the below thread goes to Artem Taturevych in the below thread: I was excited to get a macro working (a first for me, I'm quote new) until I realized that it wasn't quite doing what I intended for .step (but it worked for .igs). Sigh...
SOLIDWORKS Forums
2 days ago
I have many text files, each containing XYZ points. I need help creating a script that imports each text file as a 3D sketch with lines connecting the points. I was able to use the code fromthisthread to import the points as curves, but based on the way I need to generate lofted surfaces, I need to import each text file as a 3D sketch.
SOLIDWORKS Forums
3 days ago
Can anyone recommend someone (company or individual) who can custom write a macro for SolidWorks? We have a requirement for a special type of Balloon annotation for our assembly drawings. And our local tech support doesn't seem capable of doing this (or not interested).
SOLIDWORKS Forums
3 days ago
We are evaluating software for use in architectural mill work. We like all of SW capabilities but are put off with the very mechanical look and feel of drawing elements. I would like to create custom drawing labels, Section call-outs/labels and detail call-out/labels and elevation tags.
SOLIDWORKS Forums
3 days ago
printing from excel I was wondering if anyone has a macro set up to have a list of items in an Excel spreadsheet and have it look for them in a drawings folder, open them and print them out?Fifi Riri
SOLIDWORKS Forums
3 days ago
I'm selecting a sketch via API and I want to have it expanded in the FM tree just like SOLIDWORKS does when you select the sketch via breadcrumbs: Unfortunately that doesn't happen via API (ModelDocExtension::SelectByID2). I tried to use FeatureManager::ExpandFeature but depending on the "WhichPane" parameter it will do that either in the wrong FM pane or only expand the "History" folder.
SOLIDWORKS Forums
4 days ago
Custom Properties Propagator We have always made heavy use of the custom properties in Solidworks. All of the parts and assemblies for any given job have custom properties that ripple into the drawings and fill in the title block and several notes.
SOLIDWORKS Forums
4 days ago
Imports EdmLib Public Class VbAddinSS Implements IEdmAddIn5 Private vault1 As IEdmVault5 = Nothing Public Sub GetAddInInfo(ByRef poInfo As EdmAddInInfo, poVault As IEdmVault5, poCmdMgr As IEdmCmdMgr5) Implements IEdmAddIn5.GetAddInInfo poInfo.mbsAddInName = "Test1" poInfo.mbsCompany = "Test" poInfo.mbsDescription = "For Testing" poInfo.mlAddInVersion = 1 poInfo.mlRequiredVersionMajor = 10 poInfo.mlRequiredVersionMinor = 0 'Get Card Button Click poCmdMgr.AddHook(EdmCmdType.EdmCmd_CardButton) End
SOLIDWORKS Forums
4 days ago